Bug 241863 - CVE-2007-2525 PPPoE socket PPPIOCGCHAN denial of service
Summary: CVE-2007-2525 PPPoE socket PPPIOCGCHAN denial of service
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=important,source=secunia,repor...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 08:20 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0376
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 14:55:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0376 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-06-14 14:54:48 UTC

Description Marcel Holtmann 2007-05-31 08:20:11 UTC
A vulnerability has been reported in the Linux Kernel, which potentially can be
exploited by malicious, local users to cause a DoS (Denial of Service).

The vulnerability is caused due to a memory leak when releasing PPPoE sockets
after they are connected, but before the "PPPIOCGCHAN" ioctl is called. This can
be exploited to cause a DoS due to memory exhaustion.

Comment 1 Don Howard 2007-06-01 23:33:11 UTC
A patch addressing this issue has been included in build 2.6.18-8.1.6.el5

Comment 3 Mike Gahagan 2007-06-08 19:16:57 UTC
Confirmed the patch is in 2.6.18-8.1.6.el5

Comment 5 Red Hat Bugzilla 2007-06-14 14:55:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0376.html



Note You need to log in before you can comment on or make changes to this bug.